<!DOCTYPE html>
<html lang="de">
<head>
  <meta charset="UTF-8">
  <title>Schere Stein Papier</title>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/4.7.3/handlebars.min.js" integrity="sha256-/PJBs6QWvXijOFIX04kZpLb6ZtSQckdOIavLWKKOgXU=" crossorigin="anonymous" defer></script>
  <script src="scripts/main.js" type="module"></script>
  <link href="styles/global.css" rel="stylesheet">
</head>
<body>

  <!-- Hauptseite -->
  <section id="main">
    <h1>Schere Stein Papier</h1>
    <button class="button" value="server" id="toServer">Wechsle Spiel-Modus</button>

    <h2>Rangliste</h2>
    <ul id="ranking"></ul>

    <p>Starten Sie ein neues Spiel</p>
    <input type="text" id="name" placeholder="Namen eingeben...">
    <p class="name-error" hidden>Es wird ein Benutzername verlangt!</p>
    <button class="button" id="toGame">Spiel Starten</button>

  </section>

  <!-- Gameseite -->
  <section id="game">
    <h1>Schere Stein Papier</h1>
    <p id="playername"></p>
    <p id="timer"></p>
    <h2 id="result"></h2>

    <div id="event">
    <button class="options" value="0">Schere</button>
    <button class="options" value="1">Stein</button>
    <button class="options" value="2">Papier</button>
    <button class="options" value="3">Brunnen</button>
    <button class="options" value="4">Streichholz</button>
    </div>

    <button id="toMenue" class="options">Zurück zum Menü</button>

    <table id="results" class="result-table">
      <tr>
        <th>Resultat</th>
        <th>Spieler</th>
        <th>Computer</th>
      </tr>
    </table>
  </section>

</body>
</html>
